org.apache.hc.core5.http2.ssl

## Class ConscryptClientTlsStrategy

- java.lang.Object
- - org.apache.hc.core5.http2.ssl.ConscryptClientTlsStrategy

- All Implemented Interfaces:
    TlsStrategy

      public class ConscryptClientTlsStrategy
      extends Object
      implements TlsStrategy

  Basic client-side implementation of `TlsStrategy` that upgrades to TLS for all endpoints with `HTTPS` scheme.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConscryptClientTlsStrategy(SSLContext sslContext)`
    `ConscryptClientTlsStrategy(SSLContext sslContext, SSLBufferMode sslBufferMode, SSLSessionInitializer initializer, SSLSessionVerifier verifier)`
    `ConscryptClientTlsStrategy(SSLContext sslContext, SSLSessionInitializer initializer, SSLSessionVerifier verifier)`
    `ConscryptClientTlsStrategy(SSLContext sslContext, SSLSessionVerifier verifier)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `upgrade(TransportSecurityLayer tlsSession, HttpHost host, SocketAddress localAddress, SocketAddress remoteAddress, Object attachment, Timeout handshakeTimeout)` Secures current session layer with TLS security.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConscryptClientTlsStrategy

          public ConscryptClientTlsStrategy(SSLContext sslContext,
                                    SSLBufferMode sslBufferMode,
                                    SSLSessionInitializer initializer,
                                    SSLSessionVerifier verifier)

    - #### ConscryptClientTlsStrategy

          public ConscryptClientTlsStrategy(SSLContext sslContext,
                                    SSLSessionInitializer initializer,
                                    SSLSessionVerifier verifier)

    - #### ConscryptClientTlsStrategy

          public ConscryptClientTlsStrategy(SSLContext sslContext,
                                    SSLSessionVerifier verifier)

    - #### ConscryptClientTlsStrategy

          public ConscryptClientTlsStrategy(SSLContext sslContext)

  - ### Method Detail

    - #### upgrade

          public boolean upgrade(TransportSecurityLayer tlsSession,
                        HttpHost host,
                        SocketAddress localAddress,
                        SocketAddress remoteAddress,
                        Object attachment,
                        Timeout handshakeTimeout)

      Description copied from interface: `TlsStrategy`
      Secures current session layer with TLS security.
      Specified by:
        `upgrade` in interface `TlsStrategy`
      Parameters:
        `tlsSession` - the session layer
        `host` - the name of the opposite endpoint when givem or `null` otherwise.
        `localAddress` - the address of the local endpoint.
        `remoteAddress` - the address of the remote endpoint.
        `attachment` - arbitrary object passes to the TLS session initialization code.
        `handshakeTimeout` - the timeout to use while performing the TLS handshake; may be `null`.
      Returns:
        `true` if the session has been upgraded, `false` otherwise.

Copyright © 2005–2020 The Apache Software Foundation. All rights reserved.